<template>
  <div class="poll-question">
    <p class="text-center">{{ question }}</p>
    <div class="mt-5 flex justify-center">
      <span class="mr-5 explanation-label">{{ leftLabel }}</span>
      <ul class="radio-wrapper">
        <li v-for="(item, index) in 5" :key="index" class="poll-radio inline">
          <vs-radio v-model="answer" :vs-name="name" :vs-value="index + 1">{{ index + 1 }}</vs-radio>
        </li>
      </ul>
      <span class="ml-5 explanation-label">{{ rightLabel }}</span>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
export default Vue.extend({
  props: {
    question: {
      required: false,
      type: String,
      default: ""
    },
    leftLabel: {
      required: false,
      type: String,
      default: ""
    },
    rightLabel: {
      required: false,
      type: String,
      default: ""
    },
    name: {
      required: false,
      type: String,
      default: ""
    }
  },
  data() {
    return {
      answer: null
    };
  },
  watch: {
    answer(val) {
      this.$emit("onSelect", { name: this.name, value: val });
    }
  }
});
</script>

<style lang="scss">
.poll-question {
  .radio-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  .poll-radio {
    margin-right: 19px;

    @media (max-width: 576px) {
      margin-top: 10px;
    }

    &:last-child {
      margin-right: 0;
    }
  }

  .explanation-label {
    color: #a1a1a1;
    font-size: 12px;
  }
}
</style>